<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla2ii_add($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;
    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('2_ii_toma_decisiones_add', $where, 1);
    $codigo_2ii_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    $CI->db->select('*')->from('2_ii_toma_decisiones_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            'idparticipacion' => $consulta[$x]['idparticipacion'],
            'declarante' => $consulta[$x]['declarante'],
            'nombre_institucion' => $consulta[$x]['nombre_institucion'],
            'rfc' => $consulta[$x]['rfc'],
            'puesto' => $consulta[$x]['puesto'],
            'tipo_institucion' => $consulta[$x]['tipo_institucion'],
            'tipo_institucion_esp' => $consulta[$x]['tipo_institucion_esp'],
            'fecha_inicio' => $consulta[$x]['fecha_inicio'],
            'remuneracion' => $consulta[$x]['remuneracion'],
            'monto_mensual' => $consulta[$x]['monto_mensual'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'entidad_pais' => $consulta[$x]['entidad_pais'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],

        );
        $y++;
        if ($codigo_2ii_add->idformato == $idformato) {

            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_2_Decisiones.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);

            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(28);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('   '), 0, 0, true);
            $pdf->SetY(34);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetTextColor(0, 0, 0);

            $pdf->SetFont('Arial', 'B', 8);
            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->Text(90, 124, utf8_decode('PAÍS DONDE SE LOCALIZA'));
            } else {
                $pdf->Text(90, 124, utf8_decode('ENTIDAD FEDERATIVA'));
            }
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetY(71);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["declarante"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["nombre_institucion"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($datos["rfc"]));
            $pdf->Cell(92, 4, utf8_decode($datos["puesto"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            if ($datos["tipo_institucion"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(85, 4, utf8_decode($datos["tipo_institucion_esp"]));
            } else {
                $pdf->Cell(85, 4, utf8_decode($datos["tipo_institucion"]));
            }
            $pdf->Ln(9);
            $pdf->SetX(13);

            $pdf->Cell(105, 4, utf8_decode($datos["fecha_inicio"]));
            $pdf->Cell(80, 4, utf8_decode($datos["monto_mensual"]));
            $pdf->Ln(4.6);
            $pdf->SetX(155);
            $pdf->Cell(42, 4, utf8_decode($datos["remuneracion"]));
            $pdf->Ln(4.5);
            $pdf->SetX(105);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["entidad_pais"]));
            $pdf->SetY(135);
            $pdf->SetX(13);
            $pdf->MultiCell(184, 3.5, utf8_decode($datos["aclaraciones"]));
        }
    }

}

